Bug 802524 - libchewing: AddChi: pgdata->chiSymbolBufLen - pgdata->chiSymbolCursor should not be negative
Summary: libchewing: AddChi: pgdata->chiSymbolBufLen - pgdata->chiSymbolCursor should...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libchewing
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:161b83f9183e7a85517ec5cb9ae...
: 759495 809070 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-12 18:11 UTC by Scott Tsai
Modified: 2015-01-16 07:07 UTC (History)
4 users (show)

Fixed In Version: libchewing-0.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-16 07:07:09 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (7.47 KB, text/plain)
2012-03-12 18:11 UTC, Scott Tsai
no flags Details
File: maps (44.67 KB, text/plain)
2012-03-12 18:11 UTC, Scott Tsai
no flags Details
File: backtrace (135.66 KB, text/plain)
2012-03-12 18:11 UTC, Scott Tsai
no flags Details

Description Scott Tsai 2012-03-12 18:11:07 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-chewing --ibus
crash_function: __memmove_ssse3_back
executable:     /usr/libexec/ibus-engine-chewing
kernel:         3.2.6-3.fc16.x86_64
pid:            2050
pwd:            /tmp
reason:         Process /usr/libexec/ibus-engine-chewing was killed by signal 11 (SIGSEGV)
time:           Tue 13 Mar 2012 02:08:44 AM CST
uid:            1000
username:       scottt
var_log_messages: Mar 13 02:08:45 5220m abrt[18013]: Saved core dump of pid 2050 (/usr/libexec/ibus-engine-chewing) to /var/spool/abrt/ccpp-2012-03-13-02:08:44-2050 (23797760 bytes)
xsession_errors: 

backtrace:      Text file, 138913 bytes
dso_list:       Text file, 7646 bytes
maps:           Text file, 45737 bytes

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:07470201df55a5254027d05fa4dc509b10f2986a
:aa733447f84020c94a66814e501a36e248cbb43d
:78c1ade3665ad67db02654e2e74152270c5852b3
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:c11071801b4acea1cb1d7783c72d5f09ccf39764
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:de272a66db7a1b50e62eaf658976bce648412179
:719a85c49c612de86619fed98146f316432aee92
:ab59942678bcdecb23756804dcd0aac63ccc1669
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c124e79ca47fee27b34b962e8144fd5ae98f1dae
:f0d50e3af2dfee021a327fb85a993a2312a98145
:8b0f0f32d4400b2bf7632c55f013226297f44d17
:e5429e0905bedecc534b057783916ba43e06a66e
:49a34982a874d88cf1d02c0da70918e7d10fd222
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:12ebe599358398f2c1a5294bb2dd387545474b65
:124bfd663f5587288e6e0da8497fb4153469e657
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:4953d1f613914126bccceb3cb96386647ffba9df
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:48aea888319e1848137073c9cbde54a4c2a731c9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:4c842320387ff7f6f91b7842b223c16518be909f
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:700c536566e06857d8abfeea98d617c72a122d4a
:374add1ead31ccb449779bc7ee7877de3377e5ad
:39294193f046cf15442542705526228c60d70a6e
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:638db099ff5fb986d1a092629d1bb1dca5be4904
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:400444fb368f79b54959b083f449a1497bf71c13
:661bf8d51a632f74853e2c4e005ef1b527c4b74a
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:e982a67c98e50c7c68039aec0859bc4dfc896270
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:3b50812827b755646178db9447ced77425add5d8
:41785923286ebc820c23b630f1ab810fb24061fc
:82cca0d5b06a649072a966dc4f05aded63d736bc
:23b6792e3218744316fd495002f40a037c2e0095
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:163b323da65b708418226eb5fa8b057c731d1475
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:be507c791e34415e8f42f0e6030c889b2895cf9a

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-ocjwUDzuo9,guid=349e930559b6c336193035df0000001a
:XDG_SESSION_COOKIE=24990a7dcebf36938cb84a9900000005-1331545525.828385-220611063
:XDG_RUNTIME_DIR=/run/user/scottt
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=scottt
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ocjwUDzuo9,guid=349e930559b6c336193035df0000001a
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-scottt-yJhxtA/database
:USER=scottt
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1438
:SHLVL=1
:PWD=/home/scottt
:GNOME_KEYRING_CONTROL=/tmp/keyring-z4oR01
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=scottt
:HOME=/home/scottt
:LC_CTYPE=en_US.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

smolt_data:
:
:
:General
:=================================
:UUID: 7ba1c065-054d-43b7-9546-c5d6405b8e86
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5332.78
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7779
:System Swap: 8191
:Vendor: Hewlett-Packard
:System: HP ProBook 5220m 
:Form factor: Notebook
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4332:33128:4156:5181) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(5348:18215:4156:5212) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:70:4156:5181) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15115:4156:5181) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4156:5181) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15190:4156:5181) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:9288:4156:5181) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:15151:4156:5181) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15164:4156:5181) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4156:5181) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:68:4156:5181) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15204:4156:5181) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15180:4156:5181) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 70044651 36313005 35612114 17530880 16227334 16227334
:/dev/sda2 /boot ext4 4096 4096 1045750 935142 882714 262144 261899 261899
:

Comment 1 Scott Tsai 2012-03-12 18:11:12 UTC
Created attachment 569475 [details]
File: dso_list

Comment 2 Scott Tsai 2012-03-12 18:11:14 UTC
Created attachment 569476 [details]
File: maps

Comment 3 Scott Tsai 2012-03-12 18:11:16 UTC
Created attachment 569477 [details]
File: backtrace

Comment 4 abrt-bot 2012-03-21 17:22:21 UTC
*** Bug 759495 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2013-01-16 13:15:03 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-04-03 14:28:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Ding-Yi Chen 2013-10-03 07:02:36 UTC
*** Bug 809070 has been marked as a duplicate of this bug. ***

Comment 8 Ding-Yi Chen 2013-10-03 07:04:33 UTC
I wonder at some point 
pgdata->chiSymbolBufLen - pgdata->chiSymbolCursor
might be negative.

Comment 9 Fedora End Of Life 2015-01-09 17:04:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ding-Yi Chen 2015-01-16 07:07:09 UTC
Seems fixed in libchewing-0.4.0 
https://github.com/chewing/libchewing/commit/2f3169a648f5704a7fce776d67aa65a35cde5d00


Note You need to log in before you can comment on or make changes to this bug.